'' Test BlinkPASM Object.spin
'' Tests the BlinkPASM object, which controls and monitors high/low signals
'' from another cog.

CON                                          ' Constants

  _clkmode        = xtal1 + pll16x           ' 5 MHz crystal -> 80 MHz system
  _xinfreq        = 5_000_000 

OBJ                                          ' Object declarations

  pst      : "Parallax Serial Terminal"      ' Parallax Serial Terminal
  blink[2] : "BlinkPASM"                     ' Blink (in assmbly langauge)

  
PUB main | reps                              ' Main method, reps local var

  pst.start(115_200)                         ' Start the terminal
  blink[0].start(26, clkfreq/2)              ' Start P26 at 2 Hz
  blink[1].start(27, clkfreq/3)              ' Start P27 at 3 Hz
                                             
  repeat                                     ' Main loop
    pst.Char(pst#HM)                         ' Send cursor to top-left home
    pst.Dec(blink[0].getState)               ' Display P26 state
    pst.Dec(blink[1].getState)               ' Display P27 state 
    waitcnt(clkfreq/10 + cnt)                ' Wait 1/10 second
    if reps++ == 25                          ' If 2.5 s, increase P26 rate
      blink[0].setRate(clkfreq/8)
    